Threads
Legacy API
Collaboration diagram for Threads:

## Macros

#define | __itt_thr_name_set __itt_thr_name_setA
#define | __itt_thr_name_set_ptr __itt_thr_name_setA_ptr

## Functions

int LIBITTAPI | __itt_thr_name_setA (const char *name, int namelen)
| Set name to be associated with thread in analysis GUI. More...
int LIBITTAPI | __itt_thr_name_setW (const wchar_t *name, int namelen)
void LIBITTAPI | __itt_thr_ignore (void)
| Mark current thread as ignored from this point on, for the duration of its existence. More...

## Detailed Description

Threads group

Warning
  Legacy API

## Macro Definition Documentation

## __itt_thr_name_set

#define __itt_thr_name_set __itt_thr_name_setA

Definition at line 295 of file legacy/ittnotify.h.

## __itt_thr_name_set_ptr

#define __itt_thr_name_set_ptr __itt_thr_name_setA_ptr

Definition at line 296 of file legacy/ittnotify.h.

## Function Documentation

## __itt_thr_ignore()

void LIBITTAPI __itt_thr_ignore | ( | void |  | ) |

Mark current thread as ignored from this point on, for the duration of its existence.

Deprecated:
  Legacy API

## __itt_thr_name_setA()

int LIBITTAPI __itt_thr_name_setA | ( | const char * | name,
|  | int | namelen
| ) |  |

Set name to be associated with thread in analysis GUI.

Deprecated:
  Legacy API

Returns
  __itt_err upon failure (name or namelen being null,name and namelen mismatched)

## __itt_thr_name_setW()

int LIBITTAPI __itt_thr_name_setW | ( | const wchar_t * | name,
|  | int | namelen
| ) |  |

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.